
#include <stdio.h>
#include <math.h>
#include "qcmatch.h"

#ifndef M_PI
#define M_PI	3.14159265358979323846
#endif

#define NODESIZE  .01	/* Size of circles used to represent nodes. */
#define YL  	 0.1	/* The y value of the line. */
#define YC  	 0.1	/* The y value of the centers of the edge semicircles. */

#define XLEFT	 0.0
#define XRIGHT   1.0

#define MAXVAL	M_PI

typedef struct {
	REAL	coord;
} NODE;

void
graphics_output( int n, NODE *nodes[], int colors[], int matching[])
{
	int	kj;
	REAL	center, radius;


	printf("\nQCbegin\n");
	printf("PROOF\n");

				/* Draw the coordinate line */
	printf("%6f  %6f  %6f  %6f  LINE\n", XLEFT, YL, XRIGHT, YL);

				/* Draw the edge semicircles */
	for (kj=0 ; kj < n ; kj++) {

				/* Unmatched or already-matched nodes */
		if (matching[kj] < 0 || kj >= matching[kj]) {
			continue;
		}

		center  = (nodes[matching[kj]]->coord + nodes[kj]->coord)/2;
		center /= MAXVAL;

		radius = center - nodes[kj]->coord/MAXVAL;

		printf("%6f  %6f  %6f  UPPERSEMI\n", center, YC, radius);
	}

				/* Draw the node circles */
	for (kj = 0; kj < n; kj++) {

		printf("%6f  %6f  %6f  %sCIRCLE\n", nodes[kj]->coord/MAXVAL,
		       YL, NODESIZE, (colors[kj] == BLUE) ? "H" : "S");
	}

	printf("QCend\n");
}
