#include <math.h>

#define BLUE	1
#define RED	(-1)

typedef double	REAL;

#define FALSE	0
#define TRUE	1

typedef int	BOOLEAN;

typedef struct deque_node {
	int	x;	/* Input node index */
	REAL	i;	/* The value I[x] from the Buss-Yianilos paper */
} MNODE;

typedef REAL	(*COSTFUNC)(void *, void *);

typedef BOOLEAN (*OMEGAFUNC)( MNODE *, MNODE *, MNODE *, void **,
			     COSTFUNC, int );

				/* The quasi-convex matching function */
REAL	qc_match( int n, void *input[], int colors[], int matching[],
		 BOOLEAN linelike, COSTFUNC cost, OMEGAFUNC omega);

void	qc_match_free( void );
