
#include <stdio.h>
#include <math.h>
#include "qcmatch.h"

#ifndef M_PI
#define M_PI	3.14159265358979323846
#endif

typedef struct {
	REAL	coord;
} NODE;

REAL	sqrtcost( void *nx, void *ny );

COSTFUNC	CostFunc  = sqrtcost;
OMEGAFUNC	OmegaFunc = NULL;

REAL
sqrtcost( void *nx, void *ny )
{
	REAL   c;

				/* Inputs are real numbers between 0 and 2*PI */
	c = fabs(((NODE *)nx)->coord - ((NODE *)ny)->coord);

	if (c > M_PI) {
		c = 2 * M_PI - c;
	}

	return sqrt(c);
}
