#!/bin/csh

echo "*** Creating sample.ps"

cat qcheader.ps > sample.ps
testarc -g -r 1000 >> sample.ps

foreach count (10 100 1000)
	echo "*** Running $count instances of each problem type"

	echo "    *** Sqrtline costs, balanced alternating line-like tours"
	testsqrtline    -t BAL -s 100 -n $count -d

	echo "    *** Sqrtline costs, unbalanced random line-like tours, generic Omega"
	testsqrtline -O -t URL -s 100 -n $count -d

	echo "    *** Sqrtarc costs, balanced alternating circular tours, generic Omega"
	testsqrtarc  -O -t BAC -s 100 -n $count -d

	echo "    *** Sqrtarc costs, unbalanced random line-like tours, generic Omega"	
	testsqrtarc  -O -t URL -s 100 -n $count -d
				
	echo "    *** Arc costs, balanced, alternating circular tours"
	testarc         -t BAC -s 100 -n $count -d
end

